package aktbus.core.fipa;

import aktbus.core.*;

import com.hp.hpl.mesa.rdf.jena.common.ErrorHelper;
import com.hp.hpl.mesa.rdf.jena.common.PropertyImpl;
import com.hp.hpl.mesa.rdf.jena.common.ResourceImpl;
import com.hp.hpl.mesa.rdf.jena.model.Model;
import com.hp.hpl.mesa.rdf.jena.model.Resource;
import com.hp.hpl.mesa.rdf.jena.model.Property;
import com.hp.hpl.mesa.rdf.jena.model.RDFException;

public class FIPAVOCAB {

  protected static final String uri ="http://www.csd.abdn.ac.uk/~mmc/fipa-aktbus.xml#";

    /** returns the URI for this schema
     * @return the URI for this schema
     */
    public static String getURI() {
          return uri;
    }

    // RESOURCES
    static String nagent_identifier = "agent-identifier";
    public static Resource agent_identifier;
    static String nrequest_protocol = "request-protocol";
    public static Resource request_protocol;
    static String nquery_protocol = "query-protocol";
    public static Resource query_protocol;
    // Performatives
    static String nagree = "agree";
    public static Resource agree;
    static String nfailure = "failure";
    public static Resource failure;
    static String ninform = "inform";
    public static Resource inform;
    static String nnot_understood = "not-understood";
    public static Resource not_understood;
    static String nquery_if = "query-if";
    public static Resource query_if;
    static String nquery_ref = "query-ref";
    public static Resource query_ref;
    static String nrefuse = "refuse";
    public static Resource refuse;
    static String nrequest = "request";
    public static Resource request;


    // PROPERTIES
    static String nid = "id";
    public static Property id;
    static String nfipa_sender = "sender";
    public static Property fipa_sender;
    static String nfipa_receiver = "receiver";
    public static Property fipa_receiver;
    static String ncontent = "content";
    public static Property content;
    static String nreply_to = "reply-to";
    public static Property reply_to;
    static String nin_reply_to = "in-reply-to";
    public static Property in_reply_to;
    static String nlanguage = "language";
    public static Property language;
    static String nencoding = "encoding";
    public static Property encoding;
    static String nontology = "ontology";
    public static Property ontology;
    static String nreply_with = "reply-with";
    public static Property reply_with;
    static String nreply_by = "reply-by";
    public static Property reply_by;
    static String nconversation_id = "conversation-id";
    public static Property conversation_id;
    static String nprotocol = "protocol";
    public static Property protocol;
    static String nname = "name";
    public static Property name;
    static String naddresses = "addresses";
    public static Property addresses;   

    static {
	try {	
	    agent_identifier = new ResourceImpl(uri, nagent_identifier);
	    request_protocol = new ResourceImpl(uri, nrequest_protocol);
	    query_protocol = new ResourceImpl(uri, nquery_protocol);
	    agree = new ResourceImpl(uri, nagree);
	    failure = new ResourceImpl(uri, nfailure);
	    inform = new ResourceImpl(uri, ninform);
	    not_understood = new ResourceImpl(uri, nnot_understood);
	    query_if = new ResourceImpl(uri, nquery_if);
	    query_ref = new ResourceImpl(uri, nquery_ref);
	    refuse = new ResourceImpl(uri, nrefuse);
	    request = new ResourceImpl(uri, nrequest);
	    id = new PropertyImpl(uri, nid);
	    fipa_sender = new PropertyImpl(uri, nfipa_sender);
	    fipa_receiver = new PropertyImpl(uri, nfipa_receiver);
	    content = new PropertyImpl(uri, ncontent);
	    reply_to = new PropertyImpl(uri, nreply_to);
	    in_reply_to = new PropertyImpl(uri, nin_reply_to);
	    language = new PropertyImpl(uri, nlanguage);
	    encoding = new PropertyImpl(uri, nencoding);
	    ontology = new PropertyImpl(uri, nontology);
	    reply_with = new PropertyImpl(uri, nreply_with);
	    reply_by = new PropertyImpl(uri, nreply_by);
	    conversation_id = new PropertyImpl(uri, nconversation_id);
	    protocol = new PropertyImpl(uri, nprotocol);
	    name = new PropertyImpl(uri, nname);
	    addresses = new PropertyImpl(uri, naddresses);
	}
	catch (Exception e) {
            ErrorHelper.logInternalError("RDF", 1, e);
        }
    }
}
